package org.starter.learning.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Component;
import org.starter.learning.dao.BookDao;
import org.starter.learning.pojo.Book;
import org.starter.learning.service.BookService;

import java.util.List;

@Component
public class BookServiceImpl implements BookService {


    private BookDao bookDao;
    @Override
    public List<Book> listBook() {
        return bookDao.getBooks();
    }

    @Autowired
    @Qualifier("bookDao2")
    public void setBookDao(BookDao bookDao) {
        System.out.println("Setting bookDao into BookService Implement...");
        this.bookDao = bookDao;
    }

    public BookServiceImpl(BookDao bookDao) {
        this.bookDao = bookDao;
    }
}
