package org.starter.learning.test;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class SimpleTestBaseImpl implements SimpleTestBase{
    @Value("${jdbc.username}")
    private String name;
    @Value("${jdbc.maxConnection}")
    private int value;

    @Override
    public void printName() {
        System.out.println("Name: " + name);
    }

    @Override
    public void printValue() {
        System.out.println("Value: " + value);
    }
}
